<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::meta::SimuX4 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1meta_1_1_simu_x4.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1meta_1_1_simu_x4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::meta::SimuX4 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a simultation x4 uav.  
 <a href="classframework_1_1meta_1_1_simu_x4.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_simu_x4_8h_source.html">SimuX4.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::meta::SimuX4:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1meta_1_1_simu_x4.png" usemap="#framework::meta::SimuX4_map" alt=""/>
  <map id="framework::meta::SimuX4_map" name="framework::meta::SimuX4_map">
<area href="classframework_1_1meta_1_1_uav.html" title="Base class to construct sensors/actuators depending on uav type. " alt="framework::meta::Uav" shape="rect" coords="0,56,152,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,152,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aafb8e446d1ee4c7cb4fac00b2498f6bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aafb8e446d1ee4c7cb4fac00b2498f6bc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>SimuX4</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string uav_name, int simu_id=0, <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex=NULL)</td></tr>
<tr class="separator:aafb8e446d1ee4c7cb4fac00b2498f6bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a029e3efdba7e2a471fbab76b7e068541"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a029e3efdba7e2a471fbab76b7e068541"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>StartSensors</b> (void)</td></tr>
<tr class="separator:a029e3efdba7e2a471fbab76b7e068541"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12c1deaaba1413a7f6dc3a1cc2d5b197"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12c1deaaba1413a7f6dc3a1cc2d5b197"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetupVRPNAutoIP</b> (std::string name)</td></tr>
<tr class="separator:a12c1deaaba1413a7f6dc3a1cc2d5b197"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1meta_1_1_uav"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1meta_1_1_uav')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1meta_1_1_uav.html">framework::meta::Uav</a></td></tr>
<tr class="memitem:ae08aefd0d954681d6601c25b807a26a2 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae08aefd0d954681d6601c25b807a26a2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Uav</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex=NULL)</td></tr>
<tr class="separator:ae08aefd0d954681d6601c25b807a26a2 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ada7e534458fa53a1acba81ac4a5b9e inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ada7e534458fa53a1acba81ac4a5b9e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetupVRPN</b> (std::string optitrack_address, std::string name)</td></tr>
<tr class="separator:a8ada7e534458fa53a1acba81ac4a5b9e inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a492963b53a7700f8fe3cac6c5a4eaf21 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a492963b53a7700f8fe3cac6c5a4eaf21"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>UseDefaultPlot</b> (void)</td></tr>
<tr class="separator:a492963b53a7700f8fe3cac6c5a4eaf21 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd36eaca999b850272a9ac14df3c0952 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd36eaca999b850272a9ac14df3c0952"></a>
<a class="el" href="classframework_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetBldc</b> (void) const </td></tr>
<tr class="separator:afd36eaca999b850272a9ac14df3c0952 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacb7c44a6e3e0d900b81cb6549b597a7 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aacb7c44a6e3e0d900b81cb6549b597a7"></a>
<a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetUavMultiplex</b> (void) const </td></tr>
<tr class="separator:aacb7c44a6e3e0d900b81cb6549b597a7 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90518043ccc0bb4c52cda5624f53e1ad inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90518043ccc0bb4c52cda5624f53e1ad"></a>
<a class="el" href="classframework_1_1sensor_1_1_imu.html">sensor::Imu</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetImu</b> (void) const </td></tr>
<tr class="separator:a90518043ccc0bb4c52cda5624f53e1ad inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae91ce0a30b2140b4f33eb845cdd8a7e6 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae91ce0a30b2140b4f33eb845cdd8a7e6"></a>
<a class="el" href="classframework_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetAhrs</b> (void) const </td></tr>
<tr class="separator:ae91ce0a30b2140b4f33eb845cdd8a7e6 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4caf538e935f9099d1572b7a724a6623 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4caf538e935f9099d1572b7a724a6623"></a>
<a class="el" href="classframework_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetMetaUsRangeFinder</b> (void) const </td></tr>
<tr class="separator:a4caf538e935f9099d1572b7a724a6623 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a436628477c7df7d055f60152504993a8 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a436628477c7df7d055f60152504993a8"></a>
<a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetUsRangeFinder</b> (void) const </td></tr>
<tr class="separator:a436628477c7df7d055f60152504993a8 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cbee2ab4cc079045b7dc52f2824e407 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5cbee2ab4cc079045b7dc52f2824e407"></a>
<a class="el" href="classframework_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetBatteryMonitor</b> (void) const </td></tr>
<tr class="separator:a5cbee2ab4cc079045b7dc52f2824e407 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61a82979cb8d811883179b375330b928 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61a82979cb8d811883179b375330b928"></a>
<a class="el" href="classframework_1_1sensor_1_1_vrpn_client.html">sensor::VrpnClient</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetVrpnClient</b> (void) const </td></tr>
<tr class="separator:a61a82979cb8d811883179b375330b928 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85fd81677106256ad7a209401fe07d72 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a85fd81677106256ad7a209401fe07d72"></a>
<a class="el" href="classframework_1_1meta_1_1_meta_vrpn_object.html">meta::MetaVrpnObject</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetVrpnObject</b> (void) const </td></tr>
<tr class="separator:a85fd81677106256ad7a209401fe07d72 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab45f33bf5673726dcf0ac5541c18ce83 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab45f33bf5673726dcf0ac5541c18ce83"></a>
<a class="el" href="classframework_1_1sensor_1_1_camera.html">sensor::Camera</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetVerticalCamera</b> (void) const </td></tr>
<tr class="separator:ab45f33bf5673726dcf0ac5541c18ce83 inherit pub_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1meta_1_1_uav"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1meta_1_1_uav')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1meta_1_1_uav.html">framework::meta::Uav</a></td></tr>
<tr class="memitem:a1ca6318cf3c786c780e2198f15497f8e inherit pro_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ca6318cf3c786c780e2198f15497f8e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetBldc</b> (const <a class="el" href="classframework_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *bldc)</td></tr>
<tr class="separator:a1ca6318cf3c786c780e2198f15497f8e inherit pro_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa74aa46f5d192659517463a211e66675 inherit pro_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa74aa46f5d192659517463a211e66675"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetMultiplex</b> (const <a class="el" href="classframework_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex)</td></tr>
<tr class="separator:aa74aa46f5d192659517463a211e66675 inherit pro_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0eda51cbe2153be0d0bb4396b85b1e6d inherit pro_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0eda51cbe2153be0d0bb4396b85b1e6d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetAhrs</b> (const <a class="el" href="classframework_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *ahrs)</td></tr>
<tr class="separator:a0eda51cbe2153be0d0bb4396b85b1e6d inherit pro_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4b17a5d5515def6bf6a702acb0334c0 inherit pro_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4b17a5d5515def6bf6a702acb0334c0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetUsRangeFinder</b> (const <a class="el" href="classframework_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *us)</td></tr>
<tr class="separator:ab4b17a5d5515def6bf6a702acb0334c0 inherit pro_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad065c17dd8f488a0a8c59e76ca427612 inherit pro_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad065c17dd8f488a0a8c59e76ca427612"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetBatteryMonitor</b> (const <a class="el" href="classframework_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *battery)</td></tr>
<tr class="separator:ad065c17dd8f488a0a8c59e76ca427612 inherit pro_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fdb4749d32be6ae10a523a0a9a50d99 inherit pro_methods_classframework_1_1meta_1_1_uav"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9fdb4749d32be6ae10a523a0a9a50d99"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetVerticalCamera</b> (const <a class="el" href="classframework_1_1sensor_1_1_camera.html">sensor::Camera</a> *verticalCamera)</td></tr>
<tr class="separator:a9fdb4749d32be6ae10a523a0a9a50d99 inherit pro_methods_classframework_1_1meta_1_1_uav"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a simultation x4 uav. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1meta.html">meta</a></li><li class="navelem"><a class="el" href="classframework_1_1meta_1_1_simu_x4.html">SimuX4</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
